# MysqlndUhConnection::query

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::query — Performs a query on the database

### Description

public MysqlndUhConnection::query ( mysqlnd_connection `$connection` , string `$query` ) : bool

Performs a query on the database (COM_QUERY).

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

`query`

  The query string.

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::query() example

`<?php
class proxy extends MysqlndUhConnection {
public function query($res, $query) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$query = "SELECT 'How about query rewriting?'";
$ret = parent::query($res, $query);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$res = $mysqli->query("SELECT 'Welcome mysqlnd_uh!' FROM DUAL");
var_dump($res->fetch_assoc());
?>`

The above example will output:

    proxy::query(array (
      0 => NULL,
      1 => 'SELECT \'Welcome mysqlnd_uh!\' FROM DUAL',
    ))
    proxy::query returns true
    array(1) {
      ["How about query rewriting?"]=>
      string(26) "How about query rewriting?"
    }

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_query() - Performs a query on the database
- mysql_query() - Send a MySQL query